Cloud9 newbie - cant start my node app

nodejs

#1

having issues starting app …

emmettwalsh:~/workspace (master) npm install npm WARN unmet dependency /home/ubuntu/workspace/node_modules/standard-loader/node_modules/snazzy/node_modules/standard/node_modules/eslint/node_modules/mkdirp requires minimist@'0.0.8' but will load npm WARN unmet dependency /home/ubuntu/workspace/node_modules/standard-loader/node_modules/snazzy/node_modules/minimist, npm WARN unmet dependency which is version 1.2.0 emmettwalsh:~/workspace (master) npm start

react-production-starter@0.2.0 start /home/ubuntu/workspace
cross-env NODE_ENV=development node -r “babel-register” ./server

module.js:327
throw err;
^

Error: Cannot find module 'core-js/library/fn/json/stringify’
at Function.Module._resolveFilename (module.js:325:15)
at Function.Module._load (module.js:276:25)
at Module.require (module.js:353:17)
at require (internal/module.js:12:17)
at Object. (/home/ubuntu/workspace/node_modules/babel-register/node_modules/babel-runtime/core-js/json/stringify.js:1:93)
at Module._compile (module.js:409:26)
at Object.Module._extensions…js (module.js:416:10)
at Module.load (module.js:343:32)
at Function.Module._load (module.js:300:12)
at Module.require (module.js:353:17)

npm ERR! Linux 4.2.0-c9
npm ERR! argv “/home/ubuntu/.nvm/versions/node/v4.6.1/bin/node” “/home/ubuntu/.nvm/versions/node/v4.6.1/bin/npm” "start"
npm ERR! node v4.6.1
npm ERR! npm v2.15.9
npm ERR! code ELIFECYCLE
npm ERR! react-production-starter@0.2.0 start: cross-env NODE_ENV=development node -r "babel-register" ./server
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the react-production-starter@0.2.0 start script ‘cross-env NODE_ENV=development node -r “babel-register” ./server’.
npm ERR! This is most likely a problem with the react-production-starter package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! cross-env NODE_ENV=development node -r “babel-register” ./server
npm ERR! You can get information on how to open an issue for this project with:
npm ERR! npm bugs react-production-starter
npm ERR! Or if that isn’t available, you can get their info via:
npm ERR!
npm ERR! npm owner ls react-production-starter
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /home/ubuntu/workspace/npm-debug.log
emmettwalsh:~/workspace (master) $


#2

Did you ever find out what’s wrong? I’m stuck in a similar place…


#3

i think I just removed the node_modules dir and reinstalled all the libs